# HDWFMisc.h

## Types

| Point
| PointSet

## Functions

void | `WT2HT`
void | `WT2HT`
void | `WT2HT`
void | `WT2HT`
void | `WT2HT`
void | `update_bounds`
void | `update_bounds`
void | `update_bounds`
void | `eliminate_special_chars`
void | `set_2d_view_mode`
void | `set_3d_view_mode`

## Detailed Description

## Function Documentation

Warning

doxygenfunction: Unable to resolve function “WT2HT” with arguments None in doxygen xml output for project “mvo” from directory: /home/jenkins-sa/jenkins/workspace/hps/hoops_3df/documentation/build/html/../doxygen/mvo/xml. Potential matches:

    - void WT2HT(const WT_Integer32 in_x, const WT_Integer32 in_y, float &out_x, float &out_y, float &out_z, const HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Logical_Point &in, Point &out, const HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Logical_Point *points, int count, Point *out, HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Point_Set &in, Point *out, HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const float in_x, const float in_y, float &out_x, float &out_y, float &out_z, const HW2DReaderCommon *pW2DReaderCommon)

Warning

doxygenfunction: Unable to resolve function “WT2HT” with arguments None in doxygen xml output for project “mvo” from directory: /home/jenkins-sa/jenkins/workspace/hps/hoops_3df/documentation/build/html/../doxygen/mvo/xml. Potential matches:

    - void WT2HT(const WT_Integer32 in_x, const WT_Integer32 in_y, float &out_x, float &out_y, float &out_z, const HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Logical_Point &in, Point &out, const HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Logical_Point *points, int count, Point *out, HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Point_Set &in, Point *out, HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const float in_x, const float in_y, float &out_x, float &out_y, float &out_z, const HW2DReaderCommon *pW2DReaderCommon)

Warning

doxygenfunction: Unable to resolve function “WT2HT” with arguments None in doxygen xml output for project “mvo” from directory: /home/jenkins-sa/jenkins/workspace/hps/hoops_3df/documentation/build/html/../doxygen/mvo/xml. Potential matches:

    - void WT2HT(const WT_Integer32 in_x, const WT_Integer32 in_y, float &out_x, float &out_y, float &out_z, const HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Logical_Point &in, Point &out, const HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Logical_Point *points, int count, Point *out, HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Point_Set &in, Point *out, HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const float in_x, const float in_y, float &out_x, float &out_y, float &out_z, const HW2DReaderCommon *pW2DReaderCommon)

Warning

doxygenfunction: Unable to resolve function “WT2HT” with arguments None in doxygen xml output for project “mvo” from directory: /home/jenkins-sa/jenkins/workspace/hps/hoops_3df/documentation/build/html/../doxygen/mvo/xml. Potential matches:

    - void WT2HT(const WT_Integer32 in_x, const WT_Integer32 in_y, float &out_x, float &out_y, float &out_z, const HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Logical_Point &in, Point &out, const HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Logical_Point *points, int count, Point *out, HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Point_Set &in, Point *out, HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const float in_x, const float in_y, float &out_x, float &out_y, float &out_z, const HW2DReaderCommon *pW2DReaderCommon)

Warning

doxygenfunction: Unable to resolve function “WT2HT” with arguments None in doxygen xml output for project “mvo” from directory: /home/jenkins-sa/jenkins/workspace/hps/hoops_3df/documentation/build/html/../doxygen/mvo/xml. Potential matches:

    - void WT2HT(const WT_Integer32 in_x, const WT_Integer32 in_y, float &out_x, float &out_y, float &out_z, const HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Logical_Point &in, Point &out, const HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Logical_Point *points, int count, Point *out, HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const WT_Point_Set &in, Point *out, HW2DReaderCommon *pW2DReaderCommon)
    - void WT2HT(const float in_x, const float in_y, float &out_x, float &out_y, float &out_z, const HW2DReaderCommon *pW2DReaderCommon)

Warning

doxygenfunction: Unable to resolve function “update_bounds” with arguments None in doxygen xml output for project “mvo” from directory: /home/jenkins-sa/jenkins/workspace/hps/hoops_3df/documentation/build/html/../doxygen/mvo/xml. Potential matches:

    - void update_bounds(WT_Logical_Box &lhlb, const WT_Logical_Box &rhlb)
    - void update_bounds(WT_Logical_Box &lhlb, const WT_Logical_Point &wt_point)
    - void update_bounds(WT_Logical_Box &lhlb, const int nPoints, const WT_Logical_Point *pPoints)

Warning

doxygenfunction: Unable to resolve function “update_bounds” with arguments None in doxygen xml output for project “mvo” from directory: /home/jenkins-sa/jenkins/workspace/hps/hoops_3df/documentation/build/html/../doxygen/mvo/xml. Potential matches:

    - void update_bounds(WT_Logical_Box &lhlb, const WT_Logical_Box &rhlb)
    - void update_bounds(WT_Logical_Box &lhlb, const WT_Logical_Point &wt_point)
    - void update_bounds(WT_Logical_Box &lhlb, const int nPoints, const WT_Logical_Point *pPoints)

Warning

doxygenfunction: Unable to resolve function “update_bounds” with arguments None in doxygen xml output for project “mvo” from directory: /home/jenkins-sa/jenkins/workspace/hps/hoops_3df/documentation/build/html/../doxygen/mvo/xml. Potential matches:

    - void update_bounds(WT_Logical_Box &lhlb, const WT_Logical_Box &rhlb)
    - void update_bounds(WT_Logical_Box &lhlb, const WT_Logical_Point &wt_point)
    - void update_bounds(WT_Logical_Box &lhlb, const int nPoints, const WT_Logical_Point *pPoints)

void eliminate_special_chars(char *zString)

void set_2d_view_mode(HBaseView *hbv)

void set_3d_view_mode(HBaseView *hbv)